aboutsummaryrefslogtreecommitdiffstats
path: root/find-requires.in
diff options
context:
space:
mode:
authorThierry Vignaud <thierry.vignaud@gmail.com>2014-09-08 12:31:26 +0200
committerThierry Vignaud <thierry.vignaud@gmail.com>2014-09-09 15:06:24 +0200
commit17a8e22f0bcc0cbb2f0571fb750128b90af87253 (patch)
tree5fd096b1b325c881a2309cbc0308b85c8d394857 /find-requires.in
parent3c78b7a354e9e4168efb30566180be7839d9a4a0 (diff)
downloadrpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar.gz
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar.bz2
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.tar.xz
rpm-setup-17a8e22f0bcc0cbb2f0571fb750128b90af87253.zip
use upstream pkgconfigdeps.sh
after syncing, the only remaining difference is checks added by boklm because we were still using the external generator
Diffstat (limited to 'find-requires.in')
-rwxr-xr-xfind-requires.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/find-requires.in b/find-requires.in
index fe7f8da..bc69f0c 100755
--- a/find-requires.in
+++ b/find-requires.in
@@ -256,9 +256,9 @@ fi
#
# --- Pkgconfig deps
-[ -x @RPMVENDORDIR@/pkgconfigdeps.sh ] &&
- echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/pkgconfigdeps.sh -R | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
+[ -x @RPMLIBDIR@/pkgconfigdeps.sh ] &&
+ echo "$filelist" | tr '[:blank:]' \\n | @RPMLIBDIR@/pkgconfigdeps.sh -R | sort -u \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
#
# --- typelib() gobject-introspection bindings